package structs

import "time"

// swagger:model CustomerFeedback
type CustomerFeedback struct {
	Id        string
	Origin    string
	Data      map[string]interface{} `gorm:"serializer:json"`
	CreatedAt time.Time
}

type CustomerFeedbackQuery struct {
	Origin string
}

// swagger:model CustomerFeedbackRequest
type CustomerFeedbackRequest struct {
	Data map[string]interface{}
}

type CustomerOriginFeedbacksParam struct {
	Origin string
}
